Index: uspace/lib/Makefile.common
===================================================================
--- uspace/lib/Makefile.common	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/Makefile.common	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -33,10 +33,10 @@
 # Individual makefiles set:
 #
-#	USPACE_PREFIX	relative path to uspace/ directory
-#	LIBS		libraries to link with (with relative path)
-#	EXTRA_CFLAGS	additional flags to pass to C compiler
-#	JOB		job file name (like appname.job)
-#	OUTPUT		output binary name (like appname)
-#	SOURCES		list of source files
+#   USPACE_PREFIX  relative path to uspace/ directory
+#   LIBS           libraries to link with (with relative path)
+#   EXTRA_CFLAGS   additional flags to pass to C compiler
+#   JOB            job file name (like appname.job)
+#   OUTPUT         output binary name (like appname)
+#   SOURCES        list of source files
 #
 
@@ -72,5 +72,5 @@
 	find . -name '*.o' -follow -exec rm \{\} \;
 
-build: 
+build:
 
 -include $(DEPEND)
Index: uspace/lib/libc/Makefile
===================================================================
--- uspace/lib/libc/Makefile	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/Makefile	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -31,5 +31,4 @@
 
 USPACE_PREFIX = $(shell pwd)/../..
-#LIBS = $(LIBC_PREFIX)/libc.a
 LIBS =
 
@@ -91,8 +90,4 @@
 	generic/stacktrace.c
 
-ARCH_SOURCES = \
-	arch/$(UARCH)/src/entry.s \
-	arch/$(UARCH)/src/thread_entry.s
-
 SOURCES = \
 	$(GENERIC_SOURCES) \
Index: uspace/lib/libc/arch/amd64/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/amd64/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/amd64/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -34,5 +34,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/amd64/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/syscall.S \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/syscall.S \
 	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
Index: uspace/lib/libc/arch/arm32/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/arm32/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/arm32/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -34,5 +34,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/arm32/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/syscall.c \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/syscall.c \
 	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
Index: uspace/lib/libc/arch/ia32/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/ia32/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/ia32/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -34,5 +34,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/ia32/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/syscall.S \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/syscall.S \
 	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
Index: uspace/lib/libc/arch/ia64/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/ia64/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/ia64/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -33,5 +33,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/ia64/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/syscall.S \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/syscall.S \
 	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
Index: uspace/lib/libc/arch/mips32/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/mips32/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/mips32/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -33,5 +33,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/mips32/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/syscall.c \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/syscall.c \
 	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
Index: uspace/lib/libc/arch/mips32eb/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/mips32eb/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/mips32eb/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -33,5 +33,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/mips32eb/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/syscall.c \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/syscall.c \
 	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
Index: uspace/lib/libc/arch/ppc32/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/ppc32/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/ppc32/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -33,5 +33,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/ppc32/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/syscall.c \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/syscall.c \
 	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
Index: uspace/lib/libc/arch/sparc64/Makefile.inc
===================================================================
--- uspace/lib/libc/arch/sparc64/Makefile.inc	(revision 3f4005fbe53d24fb2e19cf8ad5f2c02adce70d84)
+++ uspace/lib/libc/arch/sparc64/Makefile.inc	(revision 5ee2384b7a8c0f0115345e8145310f99551b9c20)
@@ -33,5 +33,8 @@
 TOOLCHAIN_DIR = $(CROSS_PREFIX)/sparc64/bin
 
-ARCH_SOURCES += arch/$(UARCH)/src/fibril.S \
+ARCH_SOURCES = \
+	arch/$(UARCH)/src/entry.s \
+	arch/$(UARCH)/src/thread_entry.s \
+	arch/$(UARCH)/src/fibril.S \
 	arch/$(UARCH)/src/tls.c \
 	arch/$(UARCH)/src/stacktrace.c \
